services:
  app:
    command: bash -c "yarn --ignore-engines && yarn start"
    environment:
      - YARN_CACHE_FOLDER=/cache
    expose:
      - '3000'
    image: node:16-slim
    labels:
      - 'traefik.enable=true'
      - 'traefik.docker.network=localhost_default'
      - 'traefik.http.routers.${PROJECT_NAME}.rule=Host(`${PROJECT_URL}`)'
      - 'traefik.http.routers.${PROJECT_NAME}.entrypoints=websecure'
    tty: true
    user: ${UID:-0}:${GID:-0}
    volumes:
      - '.:/app'
      - '$HOME/.cache/yarn:/cache'
    working_dir: /app
version: '3.7'

networks:
  default:
    external: true
    name: localhost_default